### A free/open-source library for quantitative finance

Classes
ql/experimental/commodities/energybasisswap.hpp File Reference

Energy basis swap. More...

`#include <ql/experimental/commodities/energyswap.hpp>`
`#include <ql/experimental/commodities/commodityindex.hpp>`
`#include <ql/termstructures/yieldtermstructure.hpp>`
Include dependency graph for energybasisswap.hpp:

## Classes

class | EnergyBasisSwap
| Energy basis swap. More...

## Detailed Description

Energy basis swap.